## GnomeDbDataCellRendererCombo

GnomeDbDataCellRendererCombo —

## Synopsis

                GnomeDbDataCellRendererCombo;
    GType       gnome_db_data_cell_renderer_combo_get_type
                                                (void);
    GtkCellRenderer* gnome_db_data_cell_renderer_combo_new
                                                (GnomeDbDataSet *context,
                                                 GnomeDbDataSetNode *node);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkCellRenderer
                   +----GtkCellRendererText
                         +----GnomeDbDataCellRendererCombo

## Properties

      "set-default-if-invalid" gboolean              : Read / Write
      "to-be-deleted"        gboolean              : Write
      "value-attributes"     guint                 : Read / Write
      "values"               gpointer              : Write
      "values-display"       gpointer              : Write

## Signals

    "changed"   void        user_function      (GnomeDbDataCellRendererCombo *dbdatacellrenderercombo,
                                                gchar *arg1,
                                                gpointer arg2,
                                                gpointer arg3,
                                                gpointer user_data);

## Description

## Details

### GnomeDbDataCellRendererCombo

    typedef struct _GnomeDbDataCellRendererCombo GnomeDbDataCellRendererCombo;

### gnome_db_data_cell_renderer_combo_get_type ()

    GType       gnome_db_data_cell_renderer_combo_get_type
                                                (void);

Returns : |

### gnome_db_data_cell_renderer_combo_new ()

    GtkCellRenderer* gnome_db_data_cell_renderer_combo_new
                                                (GnomeDbDataSet *context,
                                                 GnomeDbDataSetNode *node);

Creates a new GnomeDbDataCellRendererCombo.

`context` : |
`node` : |
Returns : | the new cell renderer

## Property Details

### The "`set-default-if-invalid`" property

      "set-default-if-invalid" gboolean              : Read / Write

Default value: FALSE

### The "`to-be-deleted`" property

      "to-be-deleted"        gboolean              : Write

Default value: FALSE

### The "`value-attributes`" property

      "value-attributes"     guint                 : Read / Write

Default value: 0

### The "`values`" property

      "values"               gpointer              : Write

GList of GdaValue to render, limited to PK fields.

### The "`values-display`" property

      "values-display"       gpointer              : Write

GList of GdaValue to render, not limited to PK fields .

## Signal Details

### The "changed" signal

    void        user_function                  (GnomeDbDataCellRendererCombo *dbdatacellrenderercombo,
                                                gchar *arg1,
                                                gpointer arg2,
                                                gpointer arg3,
                                                gpointer user_data);

`dbdatacellrenderercombo` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`user_data` : | user data set when the signal handler was connected.